#include "UDS_10Service_Internal.h"

/**
  *10服务重置27服务标志位
  */
void UDS_10Service_S27Init(void)
{
    Ser27_ChangeSessionHandle();
}

/**
  *10服务重置28服务标志位
  */
void UDS_10Service_S28Init(void)
{
    ControlMessageCommunication(networkManagementMsgAndnormalMsg, enableRxAndTx);
}

/**
  *10服务重置2F服务标志位
  */
void UDS_10Service_S2FInit(void)
{

  
}

/**
  *10服务重置85服务标志位
  */
void UDS_10Service_S85Init(void)
{
    OpenDTCTest();
}

/**
  *写入跳转标志位
  *@param Flag 跳转标志
  */
void WriteJumpBootStatusToDFlash(uint32_t Flag)
{
    DiagFlag.JumpToBootFlag = Flag;
    WriteDFlashData(EEPROM_BLOCK_UDS_FLAG, (uint32_t *)&DiagFlag.Flag, sizeof(DiagFlag) / 4u, NeedWait);
}